#region Copyright Syncfusion Inc. 2001-2020.
// Copyright Syncfusion Inc. 2001-2020. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using Syncfusion.UI.Xaml.Grid;
using Syncfusion.UI.Xaml.Grid.Helpers;
using Syncfusion.UI.Xaml.TreeGrid;
using Syncfusion.Windows.Shared;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace ComboBoxColumnsDemo
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow 
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            // You can check the condition based on your scenario
            var columnDictionary = sfdatagrid.Columns.ToDictionary(x => x.HeaderText, y => y);
            var viewModel = sfdatagrid.DataContext as ViewModel;

            foreach (var col in sfdatagrid.Columns)
            {
                var colum = viewModel.GridColumns.FirstOrDefault(x => x.MappingName == col.MappingName);
                if (colum == null)
                {
                    // Instead of clearing the columns collection, you can store it in a property.
                    viewModel.GridColumns.Add(col);
                }
            }

            foreach (var columnSetting in viewModel.GridColumns)
            {
                if (columnDictionary.TryGetValue(columnSetting.HeaderText, out GridColumn foundColumn))
                {
                    // Here set the width
                    foundColumn.Width = columnSetting.ActualWidth;
                }
            }
        }
    }
}
