#region Copyright Syncfusion Inc. 2001 - 2020
// Copyright Syncfusion Inc. 2001 - 2020. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using Syncfusion.Data.Extensions;
using Syncfusion.UI.Xaml.Grid;
using Syncfusion.UI.Xaml.TreeGrid;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Runtime.InteropServices;

namespace ComboBoxColumnsDemo
{
    public class ViewModel
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="ViewModel"/> class.
        /// </summary>
        public ViewModel()
        {
            this.PopulateData();           
            LController = new ObservableCollection<string>();
            LController.Add("Panel");
            LController.Add("IO Relay");
            CountryList = new List<string>();
            CountryList.Add("Argentina");
            CountryList.Add("Austria");
            CountryList.Add("Belgium");
            CountryList.Add("Brazil");
            CountryList.Add("Canada");
        }

        public ObservableCollection<string> LController { get; set; }

        private ObservableCollection<OrderDetails> _orderDatails;
        /// <summary>
        /// Gets or sets the orders details.
        /// </summary>
        /// <value>The orders details.</value>
        public ObservableCollection<OrderDetails> OrderDetails
        {
            get
            {
                return _orderDatails;
            }
            set
            {
                _orderDatails = value;
            }
        }
        private Columns columns = new Columns();
        public Columns GridColumns 
        { get { return columns; } 
            set
            { columns = value; } }



        public List<string> CountryList { get; set; }

        Random r = new Random();
        public void PopulateData()
        {
            _orderDatails = new ObservableCollection<OrderDetails>();
            _orderDatails.Add(new OrderDetails( 1000, CustomerID[r.Next(15)], ProductName[r.Next(6)], 10, "Panel", "Argentina"));
            _orderDatails.Add(new OrderDetails( 1001, CustomerID[r.Next(15)], ProductName[r.Next(6)], 15, "IO Relay", "Austria"));
            _orderDatails.Add(new OrderDetails( 1002, CustomerID[r.Next(15)], ProductName[r.Next(6)], 20, "Panel", "Belgium"));
            _orderDatails.Add(new OrderDetails( 1003, CustomerID[r.Next(15)], ProductName[r.Next(6)], 25,  "IO Relay", "Brazil"));
            _orderDatails.Add(new OrderDetails( 1004, CustomerID[r.Next(15)], ProductName[r.Next(6)], 20, "Panel", "Canada"));
            
        }
        string[] ProductName = new string[]
       {
            "Alice Mutton",
            "NuNuCa Nub-Nougat-Creme",
            "Boston Crab Meat",
            "Raclette Courdavault",
            "Wimmers gute Semmelknodel",
            "Konbu"
       };
        string[] CustomerID = new string[]
      {
            "ALFKI",
            "FRANS",
            "MEREP",
            "FOLKO",
            "SIMOB",
            "WARTH",
            "VAFFE",
            "FURIB",
            "SEVES",
            "LINOD",
            "RISCU",
            "PICCO",
            "BLONP",
            "WELLI",
            "FOLIG"
      };
    }
}
